/**
 * The type of output that can be generated with the Angular output target.
 * - `component` - Generate many component wrappers tied to a single Angular module (lazy/hydrated approach).
 * - `scam` - Generate a Single Component Angular Module for each component.
 * - `standalone` - Generate a component with the `standalone` flag set to `true`.
 */
export var OutputType;
(function (OutputType) {
    OutputType["Component"] = "component";
    OutputType["Scam"] = "scam";
    OutputType["Standalone"] = "standalone";
})(OutputType || (OutputType = {}));
